# ElvUI Progressive DataBars
The default DataBars (XP, Honor, Artifact, Reputation) in [ElvUI](https://www.tukui.org/) are visually boring, so spice them up! This plugin should work with all other ElvUI plugins, but if it doesn't, file a bug report via the link below.

## Supported WoW Versions

- Classic, which includes Classic Era, hardcore, and seasons
- Cataclysm Classic
- Retail, currently that is Dragonflight

## The XP DataBar

- Blend the alpha/opacity of the bar as you gain XP
- Supported by all WoW versions

## The Reputation DataBar and Tooltip

- Blend the alpha/opacity of the bar as you gain reputation
- Pre-defined colours which you can change in ElvUI's main settings > DataBars and main settings > Tooltip
- Fills the repuation bar at Exalted (not applicable in Retail for Paragon factions)
- Fills the reputation bar at Hated until you start gaining reputation
- Friendship factions (retail only) are adjusted based on the number of ranks the faction has, meaning some may display higher than Hated colour to start and cap at Exalted colour

## The Honor DataBar

- Retail only
- Blend the alpha/opacity of the bar as you gain Honor

## The Azerite Power DataBar

- Retail only
- Blend the alpha/opacity of the bar as you gain Azerite Power
- Hidden if you do not have the legendary necklace

## Localization
You can help [contribute translations](https://legacy.curseforge.com/wow/addons/elvui-progressive-databars-colors/localization) so other people around the world of Azeroth can have this glorious AddOn in their native tongues.

## Bugs or Suggestions
Did you find something that isn't working, or thought of an improvement? By all means please [let me know](https://legacy.curseforge.com/wow/addons/elvui-progressive-databars-colors/issues).

## Credits
Credit is due to Blazeflack on the TukUI forums who graciously helped me get going with writing a plugin for ElvUI, and to Torhal on Curseforge who worked me through some logic bombs. Thank you guys!

## Cookies & Treats
I accept cookies, treats, donations, game time, and hot Night Elf women. Er wait... Anyway, if you want to help me out, you can find me in these places:

- [PayPal](https://www.paypal.com/paypalme/PVandersypen)
- [Patreon](https://www.patreon.com/Myrroddin)